#
# spec file for package fontconfig (Version 2.2.1)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  ed expat freetype2 freetype2-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib ed expat freetype2 freetype2-devel gcc gdbm gettext libtool perl rpm

Name:         fontconfig
License:      distributable, Other License(s), see package
Provides:     XFree86:/etc/fonts/fonts.dtd
Group:        System/Libraries
URL:          http://fontconfig.org/
Autoreqprov:  on
Version:      2.2.1
Release:      58
Summary:      library for font configuration
# CVS can be found here:
# cvs -d :pserver:anoncvs@cvs.fontconfig.org:/local/src/CVS login
# cvs -d :pserver:anoncvs@cvs.fontconfig.org:/local/src/CVS co fontconfig
Source:       http://fontconfig.org/release/%name-%version.tar.bz2
Patch0:       fontconfig-fonts.conf.patch
Patch1:       fontconfig-ta.orth-cvs.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
WARNING: this package will never be on an official distribution in this
way. do not depend your software on this, except you asked adrian
before !

The intention of this library is to be the central config interface for
all applications and libraries in the system.



Authors:
--------
    Keith Packard <keithp@keithp.com>

%package devel
Requires:     fontconfig = %version
Requires:     freetype2-devel glibc-devel
Provides:     XFree86-devel:%_libdir/pkgconfig/fontconfig.pc
Group:        System/Libraries
Summary:      library for font configuration

%description devel
The intention of this library is to be the central config interface for
all applications and libraries in the system.



Authors:
--------
    Keith Packard <keithp@keithp.com>

%prep
%setup -q
%patch0 -p1 -b .fonts.conf
%patch1 -p0 -b .ta.orth-cvs

%build
%if %suse_version <= 820
    %define myprefix /usr/X11R6
%else
    %define myprefix /usr
%endif
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
  --prefix=%{myprefix} \
  --libdir=%{myprefix}/%{_lib} \
  --with-freetype-lib=%_libdir \
  --with-x \
  --mandir=%{_mandir} \
  --with-confdir=/etc/fonts \
  --with-docdir=%{_defaultdocdir}/%{name} \
  --with-add-fonts=/usr/X11R6/lib/X11/fonts,/opt/kde3/share/fonts,/opt/OpenOffice.org/share/fonts,/opt/staroffice6.0/share/fonts
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT pkgconfigdir=%{_libdir}/pkgconfig install
install -m 644 AUTHORS COPYING ChangeLog README \
        $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/fontconfig-devel
mv $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/fontconfig-devel/* \
   $RPM_BUILD_ROOT/%{_defaultdocdir}/fontconfig-devel
mv $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/fontconfig-devel.txt \
   $RPM_BUILD_ROOT/%{_defaultdocdir}/fontconfig-devel
   
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1/
install -m 644 ./fc-list/fc-list.man $RPM_BUILD_ROOT/%{_mandir}/man1/fc-list.1
install -m 644 ./fc-cache/fc-cache.man $RPM_BUILD_ROOT/%{_mandir}/man1/fc-cache.1
gzip --best $RPM_BUILD_ROOT/%{_mandir}/man1/*.1

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}
%{myprefix}/bin/fc-list
%{myprefix}/bin/fc-cache
%dir /etc/fonts
%config /etc/fonts/fonts.dtd
%config /etc/fonts/fonts.conf
%config(noreplace) /etc/fonts/local.conf
%{myprefix}/%{_lib}/libfontconfig.so.*
%doc %{_mandir}/man5/fonts-conf.5.gz
%doc %{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}-devel
%{_libdir}/pkgconfig/fontconfig.pc
%{myprefix}/%{_lib}/libfontconfig.*a
%{myprefix}/%{_lib}/libfontconfig.so
%doc %{_mandir}/man3/Fc*
%{myprefix}/include/fontconfig/

%changelog -n fontconfig
* Mon Dec 15 2003 - mfabian@suse.de
- Bugzilla Bug 32080: turn off subpixel hinting by default.
* Thu Aug 28 2003 - mfabian@suse.de
- add "FreeSans", "FreeSerif", "FreeMono" to fonts.conf
  (priority below Nimbus, Bitstream and Luxi).
- move priority of "Bitstream Vera" fonts below Nimbus.
- move fontconfig-devel documentation to
  /usr/share/doc/packages/fontconfig-devel.
* Sun Aug 24 2003 - adrian@suse.de
- add freetype2-devel and glibc-devel to the -devel Requires
* Sat Aug 23 2003 - adrian@suse.de
- udpate to version 2.2.1
- add %%run_ldconfig
* Tue Jul 15 2003 - mfabian@suse.de
- add rules to use embedded bitmaps in FZSongTi if desired.
- use binding="same" instead of binding="strong" when adding
  bitmap fonts to the pattern. This is necessary to keep the
  generic aliases "sans-serif" etc. working as usual even
  if "prefer_bitmap" is set to "true". With binding="strong",
  "sans-serif" always expands to "Adobe Helvetica" if
  "prefer_bitmap" is set to "true" which is not useful for
  many languages.
* Wed Jul 09 2003 - sndirsch@suse.de
- added FZSongTi to serif, sans-serif and monospace family aliases
* Wed May 28 2003 - mfabian@suse.de
- install fc-list and fc-cache man pages.
* Sun May 18 2003 - mfabian@suse.de
- fontconfig-ta.orth-cvs.patch: Remove 0b82 and Tamil numbers from
  tamil orthography (from upstream cvs)
- add Tamil fonts to "prefer" aliases
- remove duplicate entries of the Bitstream fonts from fonts.conf
- set globaladvance=false for Y.OzFont because it is a dual-width
  font.
- change .spec file to make it possible to build with /usr/X11R6
  prefix (to make updates for SuSE Linux 8.2 easy).
* Wed Apr 23 2003 - sndirsch@suse.de
- created package
